# Class OnOffElement

#### Hierarchy

- XmlComponent
  - OnOffElement

- Defined in src/file/xml-components/simple-elements.ts:15

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new OnOffElement(name: string, val?: undefined | boolean): OnOffElement

- #### Parameters

  - ##### name: string

  - ##### val: undefined | boolean = true

  #### Returns OnOffElement

  Overrides XmlComponent.constructor

  - Defined in src/file/xml-components/simple-elements.ts:16

## Methods

### addChildElement

- addChildElement(child: string | XmlComponent): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:34

### prepForXml

- prepForXml(context: IContext): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:15

Generated using TypeDoc